## libfreyja 0.9.5.15

=== CMakeLists.txt ===
# libfreyja
set(Name freyja)
set(Major 0)
set(Minor 9)
set(Micro 5)
set(Revision 15)
set(Email mongooseichiban@gmail.com)

#enable_testing()

add_definitions(
	-DVERSION=\"\\\"lib${Name}-${Major}.${Minor}.${Micro}.${Revision}\\\"\" 
	-DMAJOR_VERSION=${Major}
	-DMINOR_VERSION=${Minor}
	-DMICRO_VERSION=${Micro}
	-DREVISION=${Revision}
	-DBUILD_ID=20070415
	-DEMAIL_ADDRESS=\"\\\"$(Email)\\\"\" 
	-DBUILD_NAME=\"\\\"$(NAME)-$(VERSION)-$(BUILD_ID)\\\"\"
)

# Build options
add_definitions(
	-DEXPERIMENTAL
	-DFREYJAIMAGE_PLUGINS
	-DFREYJA_PLUGINS	
)

# Debug
add_definitions( -DDEBUG -Wall -g )

# RELEASE
#add_definitions( -DRELEASE -DENABLE_FREYJA_ASSERTS -Wall -O2 -finline-functions -fomit-frame-pointer -funroll-loops )

# LuaWrapper 
add_definitions( -DLUAWRAPPER_FOUND )
include_directories( ../lua )
link_directories( ../lua )
link_libraries(	-lluawrapper )

# TinyXML 
add_definitions( -DTINYXML_FOUND )
include_directories( ../tinyxml )
link_directories( ../tinyxml )
link_libraries(	-ltinyxml )

# libhel
add_definitions( -DHEL_FOUND -DHAVE_LIBHEL -DHAVE_HEL )
include_directories( ../libhel )
link_directories( ../libhel )
link_libraries(	-lhel-0.2.2 )

# Lua
FIND_LIBRARY(LUA_FOUND lua5.1)
if (LUA_FOUND)
	add_definitions( -DLUA_FOUND )
#	link_libraries( -llua5.1 )  # libfreyja doesn't link directly to liblua anymore
	include_directories( ../lua/lua  )
	message( STATUS "Lua 5.1 library found." )
endif (LUA_FOUND)

# Python
FIND_LIBRARY(PYTHON_FOUND python2.4)
if (PYTHON_FOUND)
	add_definitions( -DPYTHON_FOUND -DUSING_PYTHON )
	link_libraries( -lpython2.4 )
	message( STATUS "Python library found." )
endif (PYTHON_FOUND)


include_directories( ../mstl .  )

set(Objs
	freyja/freyja
	freyja/Bone
	freyja/BoneABI
	freyja/Camera
	freyja/CameraABI
	freyja/FreyjaFSM
	freyja/FreyjaImage
	freyja/FreyjaPakReader
	freyja/FreyjaTexture
	freyja/KeyFrame
	freyja/LegacyABI
	freyja/Light
	freyja/LightABI
	freyja/Material
	freyja/MaterialABI
	freyja/Mesh
	freyja/MeshABI
	freyja/Metadata
	freyja/Model
	freyja/ModelABI
	freyja/PakABI
	freyja/PerlinNoise
	freyja/PluginABI
	freyja/Plugin
	freyja/Printer
	freyja/PythonABI
	freyja/LuaABI
	freyja/Renderable
	freyja/RigidBody
	freyja/QueryABI
	freyja/Skeleton
	freyja/Track
	freyja/Vertex
)


add_library( ${Name}-${Major}.${Minor}.${Micro} SHARED ${Objs} )

# Packaging
#add_custom_command(TARGET libhel.deb COMMAND dpkg-buildpackage -rfakeroot)


# Unit tests

# Generate a new debian/changelog.
FILE( WRITE debian/changelog "libfreyja (${Major}.${Minor}.${Micro}.${Revision}) feisty; urgency=low\n\n" )
FILE( APPEND debian/changelog "  * Generated release\n\n" )
FILE( APPEND debian/changelog " -- Terry Hendrix (Mongoose) <mongooseichiban@gmail.com>  Thu, 14 Dec 2006 15:52:34 -0500\n\n" )
FILE( APPEND debian/changelog "" )

INSTALL( TARGETS ${Name}-${Major}.${Minor}.${Micro} LIBRARY DESTINATION /usr/lib )

=== Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.4

# Default target executed when no arguments are given to make.
default_target: all

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /usr/bin/ccmake

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/mongoose/Projects/freyja_0.9.5/libfreyja

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/mongoose/Projects/freyja_0.9.5/libfreyja

# Include the progress variables for this target.
include CMakeFiles/progress.make

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake

# Special rule for the target install/local
install/local/fast: install/local

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Only default component available"

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/mongoose/Projects/freyja_0.9.5/libfreyja/CMakeFiles $(CMAKE_ALL_PROGRESS)
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/mongoose/Projects/freyja_0.9.5/libfreyja/CMakeFiles 0

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean

# The main clean target
clean/fast: clean

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1

#=============================================================================
# Target rules for targets named freyja-0.9.5

# Build rule for target.
freyja-0.9.5: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 freyja-0.9.5

# fast build rule for target.
freyja-0.9.5/fast:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/build

# target to build an object file
freyja/Bone.o:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/Bone.o

# target to preprocess a source file
freyja/Bone.i:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/Bone.i

# target to generate assembly for a file
freyja/Bone.s:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/Bone.s

# target to build an object file
freyja/BoneABI.o:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/BoneABI.o

# target to preprocess a source file
freyja/BoneABI.i:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/BoneABI.i

# target to generate assembly for a file
freyja/BoneABI.s:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/BoneABI.s

# target to build an object file
freyja/Camera.o:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/Camera.o

# target to preprocess a source file
freyja/Camera.i:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/Camera.i

# target to generate assembly for a file
freyja/Camera.s:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/Camera.s

# target to build an object file
freyja/CameraABI.o:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/CameraABI.o

# target to preprocess a source file
freyja/CameraABI.i:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/CameraABI.i

# target to generate assembly for a file
freyja/CameraABI.s:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/CameraABI.s

# target to build an object file
freyja/FreyjaFSM.o:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/FreyjaFSM.o

# target to preprocess a source file
freyja/FreyjaFSM.i:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/FreyjaFSM.i

# target to generate assembly for a file
freyja/FreyjaFSM.s:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/FreyjaFSM.s

# target to build an object file
freyja/FreyjaImage.o:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/FreyjaImage.o

# target to preprocess a source file
freyja/FreyjaImage.i:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/FreyjaImage.i

# target to generate assembly for a file
freyja/FreyjaImage.s:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/FreyjaImage.s

# target to build an object file
freyja/FreyjaPakReader.o:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/FreyjaPakReader.o

# target to preprocess a source file
freyja/FreyjaPakReader.i:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/FreyjaPakReader.i

# target to generate assembly for a file
freyja/FreyjaPakReader.s:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/FreyjaPakReader.s

# target to build an object file
freyja/FreyjaTexture.o:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/FreyjaTexture.o

# target to preprocess a source file
freyja/FreyjaTexture.i:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/FreyjaTexture.i

# target to generate assembly for a file
freyja/FreyjaTexture.s:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/FreyjaTexture.s

# target to build an object file
freyja/KeyFrame.o:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/KeyFrame.o

# target to preprocess a source file
freyja/KeyFrame.i:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/KeyFrame.i

# target to generate assembly for a file
freyja/KeyFrame.s:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/KeyFrame.s

# target to build an object file
freyja/LegacyABI.o:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/LegacyABI.o

# target to preprocess a source file
freyja/LegacyABI.i:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/LegacyABI.i

# target to generate assembly for a file
freyja/LegacyABI.s:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/LegacyABI.s

# target to build an object file
freyja/Light.o:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/Light.o

# target to preprocess a source file
freyja/Light.i:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/Light.i

# target to generate assembly for a file
freyja/Light.s:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/Light.s

# target to build an object file
freyja/LightABI.o:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/LightABI.o

# target to preprocess a source file
freyja/LightABI.i:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/LightABI.i

# target to generate assembly for a file
freyja/LightABI.s:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/LightABI.s

# target to build an object file
freyja/LuaABI.o:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/LuaABI.o

# target to preprocess a source file
freyja/LuaABI.i:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/LuaABI.i

# target to generate assembly for a file
freyja/LuaABI.s:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/LuaABI.s

# target to build an object file
freyja/Material.o:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/Material.o

# target to preprocess a source file
freyja/Material.i:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/Material.i

# target to generate assembly for a file
freyja/Material.s:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/Material.s

# target to build an object file
freyja/MaterialABI.o:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/MaterialABI.o

# target to preprocess a source file
freyja/MaterialABI.i:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/MaterialABI.i

# target to generate assembly for a file
freyja/MaterialABI.s:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/MaterialABI.s

# target to build an object file
freyja/Mesh.o:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/Mesh.o

# target to preprocess a source file
freyja/Mesh.i:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/Mesh.i

# target to generate assembly for a file
freyja/Mesh.s:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/Mesh.s

# target to build an object file
freyja/MeshABI.o:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/MeshABI.o

# target to preprocess a source file
freyja/MeshABI.i:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/MeshABI.i

# target to generate assembly for a file
freyja/MeshABI.s:
	$(MAKE) -f CMakeFiles/freyja-0.9.5.dir/build.make CMakeFiles/freyja-0.9.5.dir/freyja/MeshABI.s

# target to build an object file

=== debian/changelog ===
libfreyja (0.9.5.15) feisty; urgency=low

  * Generated release

 -- Terry Hendrix (Mongoose) <mongooseichiban@gmail.com>  Thu, 14 Dec 2006 15:52:34 -0500

=== debian/control ===
Source: libfreyja
Section: unknown
Priority: optional
Maintainer: mongoose <mongoose@icculus.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: libfreyja
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libhel
Description: Freyja backbone
 3d Modeler.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	cmake .
	$(MAKE)
	#docbook-to-man debian/libfreyja.sgml > libfreyja.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/libfreyja.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/libfreyja


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
